package com.chushang.system.entity.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * by zhaowenyuan create 2022/3/16 11:58
 */
@Getter
@AllArgsConstructor
public enum MenuTypeEnum implements IEnum<String> {
    CATALOG("M","目录"),
    MENU("C","菜单"),
    BUTTON("F","按钮"),
    ;
    @EnumValue
    @JsonValue
    private final String code;
    private final String desc;

    @Override
    public String getValue() {
        return this.code;
    }
}
